Bug 689860 - guest with passthrough nic got kernel panic when send system_reset signal in QEMU monitor
guest with passthrough nic got kernel panic when send system_reset signal in ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier2 657149 689880
  Show dependency treegraph
 
Reported: 2011-03-22 12:52 EDT by Alex Williamson
Modified: 2013-01-09 18:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 657149
Environment:
Last Closed: 2011-07-21 06:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2011-03-23 04:09:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jarod Wilson 2011-04-01 18:05:28 EDT
Patch(es) available in kernel-2.6.18-254.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5
Detailed testing feedback is always welcomed.
Comment 6 Chao Yang 2011-05-31 08:40:27 EDT
Reproduced on host kernel 2.6.18-238.el5.x86_64 with kvm-83-224.el5, sending system_reset to a guest with 82576 assigned results in guest kernel panic.

-----Guest kernel version: 2.6.18-238.5.1.el5
-----CLI: 
/usr/libexec/qemu-kvm -M rhel5.6.0 ... -pcidevice host=03:00.0 -pcidevice host=03:00.1
-----nic info: 
# lspci|grep Eth
03:00.0 Ethernet controller: Intel Corporation 82576 Gigabit Network Connection (rev 01)
03:00.1 Ethernet controller: Intel Corporation 82576 Gigabit Network Connection (rev 01)

------Actual Result after issue system_reset:
Starting udev: ----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at mm/memory.c:425
invalid opcode: 0000 [1] SMP 
last sysfs file: /class/input/input0/event0/dev
CPU 1 
Modules linked in: dm_raid45 dm_message dm_region_hash dm_mem_cache dm_snapshot dm_zero dm_mirror dm_log dm_mod ata_piix libata sd_mod scsi_mod virtio_blk virtio_pci virtio_ring virtio ext3 jbd uhci_hcd ohci_hcd ehci_hcd
Pid: 598, comm: udevd Not tainted 2.6.18-238.5.1.el5 #1
RIP: 0010:[<ffffffff8000c938>]  [<ffffffff8000c938>] vm_normal_page+0x54/0xa5
RSP: 0018:ffff81007c86ddf0  EFLAGS: 00010246
RAX: 0000000000000006 RBX: 000000007fc01020 RCX: 0000000000000dc0
RDX: 0000000000000000 RSI: 0000000006e00001 RDI: ffff81007c83e138
RBP: ffff8100024f3038 R08: 0000000000000008 R09: 0000000000000030
R10: 0000000000000000 R11: 0000000000000000 R12: 000000007fc01025
R13: 00002b9f9b907000 R14: ffff81007c877838 R15: ffff81007c85bc40
FS:  0000000000000000(0000) GS:ffff81007ff9d840(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00002b9f9beb00a0 CR3: 000000007c85c000 CR4: 00000000000006e0
Process udevd (pid: 598, threadinfo ffff81007c86c000, task ffff81007c832100)
Stack:  ffffffff80007ab2 0000000000000000 ffff81007c86ded8 ffffffffffffffff
 0000000000000000 ffff81007c83e138 ffff81007c86dee0 0000000000366a1b
 0000000000000000 000000017c85bc40 ffff81007c85bc40 00002b9f9ba96000
Call Trace:
 [<ffffffff80007ab2>] unmap_vmas+0x3e8/0x90a
 [<ffffffff8003a2b7>] exit_mmap+0x87/0x102
 [<ffffffff8003c426>] mmput+0x30/0x84
 [<ffffffff800158dd>] do_exit+0x305/0x965
 [<ffffffff8004935f>] cpuset_exit+0x0/0x88
 [<ffffffff8005d116>] system_call+0x7e/0x83


Code: 0f 0b 68 35 94 2b 80 c2 a9 01 48 89 c8 31 d2 48 c1 e8 09 48 
RIP  [<ffffffff8000c938>] vm_normal_page+0x54/0xa5
 RSP <ffff81007c86ddf0>
 <0>Kernel panic - not syncing: Fatal exception



-----------Verified on host kernel 2.6.18-264.el5.x86_64 with kvm-83-235.el5, sending system_reset to a guest with 82576 assigned **won't** results in guest kernel panic any more. Tested 20 times, every time guest launched correctly.
-----CLI:
/usr/libexec/qemu-kvm -M rhel5.6.0 ... -pcidevice host=03:00.0 -pcidevice host=03:00.1
-----guest kernel version:
2.6.18-264.el5.x86_64
-----Additional info:
same test passed with BCM5764M nic card.

-----Conclusion:
Based on above, I think this issue has been fixed.
Comment 7 juzhang 2011-06-01 00:25:12 EDT
According to comment6,set this issue as verified
Comment 8 errata-xmlrpc 2011-07-21 06:23:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1065.html

Note You need to log in before you can comment on or make changes to this bug.